Show / Hide Table of Contents

# Class StdioServerChannel

Provides a server implementation for the standard I/O channel. When started in a process, attaches to the console I/O streams to communicate with the client that launched the process.

##### Inheritance

System.Object
ChannelBase
StdioServerChannel

##### Inherited Members

ChannelBase.IsConnected
ChannelBase.MessageReader
ChannelBase.MessageWriter
ChannelBase.Start(MessageProtocolType)
ChannelBase.Stop()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Hosting.Protocol.Channel

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class StdioServerChannel : ChannelBase

### Methods

| Improve this Doc View Source

#### Initialize(IMessageSerializer)

##### Declaration

    protected override void Initialize(IMessageSerializer messageSerializer)

##### Parameters

Type | Name | Description
--- | --- | ---
IMessageSerializer | messageSerializer |

##### Overrides

ChannelBase.Initialize(IMessageSerializer)
| Improve this Doc View Source

#### Shutdown()

##### Declaration

    protected override void Shutdown()

##### Overrides

ChannelBase.Shutdown()
| Improve this Doc View Source

#### WaitForConnection()

##### Declaration

    public override Task WaitForConnection()

##### Returns

Type | Description
--- | ---
System.Threading.Tasks.Task |

##### Overrides

ChannelBase.WaitForConnection()